import matplotlib.pyplot as plt
import numpy
import math
from scipy.spatial.distance import pdist, squareform
from scipy.stats import entropy
matrix = numpy.load("matrix.npy")
matrix = numpy.asmatrix(matrix)

matrix_normalized = matrix + 1e-5
matrix_normalized = matrix_normalized / numpy.mean(matrix_normalized, axis = 1)

matrix = matrix_normalized.tolist()

with open("deweyTimeline.pde", "w") as f:
    f.write("float deweyTimeline[][] = { %s };\n" % ", ".join("{ %s }" % ", ".join(str(elem) for elem in row) for row in matrix))
